PHP 'phar/tar.c' Heap Buffer Overflow Vulnerability

PHP is prone to a heap-based buffer overflow vulnerability because it fails to properly perform adequate boundary-checks on user-supplied data.

Attackers can exploit this issue to run arbitrary code within the context of the PHP process. This may allow them to bypass intended security restrictions or gain elevated privileges.


 

Privacy Statement
Copyright 2010, SecurityFocus